## org.apache.myfaces.config.impl.digester.elements
Class ManagedProperty

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.ManagedProperty

All Implemented Interfaces:
  ManagedProperty

public class ManagedProperty
extends java.lang.Object
implements ManagedProperty

Version:
  $Revision: 279999 $ $Date: 2005-09-10 08:37:54 -0400 (Sat, 10 Sep 2005) $
Author:
  Oliver Rossmueller (latest modification by $Author: oros $), Anton Koinov

Field Summary

Fields inherited from interface org.apache.myfaces.config.element.ManagedProperty
`TYPE_LIST, TYPE_MAP, TYPE_NULL, TYPE_UNKNOWN, TYPE_VALUE`

Constructor Summary
`ManagedProperty()`

Method Summary
`ListEntries` `getListEntries()`
`MapEntries` `getMapEntries()`
`java.lang.String` `getPropertyClass()`
`java.lang.String` `getPropertyName()`
`java.lang.Object` `getRuntimeValue(javax.faces.context.FacesContext facesContext)`
`int` `getType()`
`javax.faces.el.ValueBinding` `getValueBinding(javax.faces.context.FacesContext facesContext)`
`boolean` `isNullValue()`
`boolean` `isValueReference()`
`void` `setListEntries(ListEntries listEntries)`
`void` `setMapEntries(MapEntries mapEntries)`
`void` `setNullValue()`
`void` `setPropertyClass(java.lang.String propertyClass)`
`void` `setPropertyName(java.lang.String propertyName)`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedProperty

    public ManagedProperty()

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in interface `ManagedProperty`

### getMapEntries

    public MapEntries getMapEntries()

  Specified by:
    `getMapEntries` in interface `ManagedProperty`

### setMapEntries

    public void setMapEntries(MapEntries mapEntries)

### getListEntries

    public ListEntries getListEntries()

  Specified by:
    `getListEntries` in interface `ManagedProperty`

### setListEntries

    public void setListEntries(ListEntries listEntries)

### getPropertyName

    public java.lang.String getPropertyName()

  Specified by:
    `getPropertyName` in interface `ManagedProperty`

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

### getPropertyClass

    public java.lang.String getPropertyClass()

  Specified by:
    `getPropertyClass` in interface `ManagedProperty`

### setPropertyClass

    public void setPropertyClass(java.lang.String propertyClass)

### isNullValue

    public boolean isNullValue()

### setNullValue

    public void setNullValue()

### setValue

    public void setValue(java.lang.String value)

### getRuntimeValue

    public java.lang.Object getRuntimeValue(javax.faces.context.FacesContext facesContext)

  Specified by:
    `getRuntimeValue` in interface `ManagedProperty`

### getValueBinding

    public javax.faces.el.ValueBinding getValueBinding(javax.faces.context.FacesContext facesContext)

  Specified by:
    `getValueBinding` in interface `ManagedProperty`

### isValueReference

    public boolean isValueReference()

  Specified by:
    `isValueReference` in interface `ManagedProperty`